0

New to Ubuntu 20.04 uname -r 5.8.0-55-generic lsb_release -a No LSB modules are available. Distributor ID: Ubuntu Description: Ubuntu 20.04.2 LTS Release: 20.04 Codename: focal

After running apt-get update and then upgrade the only odd message I receive is:

[![The following packages have been kept back:   linux-generic-hwe-20.04 linux-headers-generic-hwe-20.04 linux-image-generic-hwe-20.04][1]][1]

Then, GUI software updater keeps popping up asking me to install all the files in the attached screenshot.

  1. Is this safe?
  2. Why does software updater conflict with the success messages of apt-get update/upgrade? Or is it trying to tell me I still need to do something about linux-generic-hwe-20.04 linux-headers-generic-hwe-20.04 in it's own cute, yet surpentine way?

I do apologize. New to the commend editor and it does not support line breaks.

I did: apt-get update then apt-get upgrade.

Also:

apt list --upgradable Listing... Done

linux-generic-hwe-20.04/focal-updates,focal-security 5.8.0.59.66~20.04.42 amd64 [upgradable from: 5.8.0.55.62~20.04.39]

linux-headers-generic-hwe-20.04/focal-updates,focal-security 5.8.0.59.66~20.04.42 amd64 [upgradable from: 5.8.0.55.62~20.04.39]

linux-image-generic-hwe-20.04/focal-updates,focal-security 5.8.0.59.66~20.04.42 amd64 [upgradable from: 5.8.0.55.62~20.04.39]

Thank you.

4
  • You weren't completely specific as what commands you used, sudo apt full-upgrade will upgrade some packages that are left behind by sudo apt upgrade which is why there are two different options (upgrade won't remove packages, meaning if an upgrade requires a removal; you have control on when this occurs by performing the full-upgrade when you're willing to do any checks you like doing before package removal). Did you try full-upgrade? did you look for any placed holds? (apt-mark hold)
    – guiverc
    Jun 22 at 22:53
  • I did: apt-get update then apt-get upgrade. Also just ran some commands: apt list --upgradable and apt-mark showhold. Upgradable: apt list --upgradable Listing... Done linux-generic-hwe-20.04/focal-updates 5.8.0.59.66~20.04.42 amd64 [upgradable from: 5.8.0.55.62~20.04.39] linux-headers-generic-hwe-20.04/focal-updates 5.8.0.59.66~20.04.42 amd64 [upgradable from: 5.8.0.55.62~20.04.39 linux-image-generic-hwe-20.04/focal-updates 5.8.0.59.66~20.04.42 amd64 [upgradable from: 5.8.0.55.62~20.04.39] and apt-mark showhold: linux-generic-hwe-20.04 and linux-headers-generic-hwe-20.04.
    – jeffschips
    Jun 23 at 3:44
  • Please add additional detail to your question... the answer looks like it's in your last comment; but without the line breaks it's hard to read & I'm not going to try sorry.
    – guiverc
    Jun 23 at 5:10
  • Added the request in the original post as line breaks are not allowed here. Appreciate any suggestions on next steps.
    – jeffschips
    Jun 23 at 12:01
0

SOLVED: I had to unhold those that were held back and then apt-get update and apt-get upgrade. That seems to have solved the nagging notice.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.